API Docs/Competitor Analysis

Competitor Analysis

View detailed data such as sales and revenue for a target ASIN

POSThttps://open-api.sentirix.ai/v1/selection/listing/competitor-list

Request Parameters

FieldTypeRequiredDescription
marketplacestringYesMarketplace code (e.g., us)
monthstringNoQuery month, format yyyyMM
brandstringNoBrand
sellerNamestringNoSeller name
asinsarrayNoASIN list (up to 40)
nodeIdPathstringNoCategory path
nodeIdPathEqualbooleanNoWhether the category is an exact match
keywordstringNoKeyword
matchTypeintegerNoKeyword match type: 1 Phrase, 2 Fuzzy, 3 Exact
variationstringNoVariation filter: N=include variations, Y=only single variation products
pageintegerNoPage number
sizeintegerNoItems per page
orderobjectNoOrder object

Request Example (JSON)

{
  "marketplace": "us",
  "month": "202501",
  "brand": "Anker",
  "sellerName": "Amazon",
  "asins": [
    "B0C1234567"
  ]
}

Response Structure

{
  "code": 200,
  "message": "success",
  "data": {
    "total": 100,
    "list": [
      {
        "asin": "B0C1234567",
        "title": "Wireless Earbuds",
        "brand": "Anker",
        "price": 29.99,
        "units": 5200,
        "revenue": 155948,
        "rating": 4.5,
        "ratings": 3200,
        "bsr": 12,
        "marketplace": "us",
        "month": "202501"
      }
    ]
  }
}